script.on_event(defines.events.on_tick, function(event)
	for _, player in pairs(game.players) do
		if player.vehicle and player.vehicle.name == "car" then
			local car = player.vehicle
			if car.speed < 0 then
				replace_car(player, car, "car-reverse")
			end
		end
		if player.vehicle and player.vehicle.name == "car-reverse" then
			local car = player.vehicle
			if car.speed > 0 then
				replace_car(player, car, "car")
			end
		end
	end
end)
 
function replace_car(player, car, newcar)
	local new_car = car.surface.create_entity{name = newcar, position = car.position, force = car.force, fast_replace = true}
	new_car.orientation = car.orientation
	for k, v in pairs(car.get_inventory(defines.inventory.fuel).get_contents()) do
		new_car.get_inventory(defines.inventory.fuel).insert{name = k, count = v}
	end
	for k, v in pairs(car.get_inventory(defines.inventory.furnace_source).get_contents()) do
		new_car.get_inventory(defines.inventory.furnace_source).insert{name = k, count = v}
	end
	new_car.passenger = game.players[1].character
	car.destroy()	
end